Index: trunk/grails-app/views/assetSubItem/show.gsp
===================================================================
--- trunk/grails-app/views/assetSubItem/show.gsp	(revision 267)
+++ trunk/grails-app/views/assetSubItem/show.gsp	(revision 268)
@@ -5,13 +5,13 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Show AssetType</title>
+        <title>Show AssetSubItem</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">AssetType List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New AssetType</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">AssetSubItem List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New AssetSubItem</g:link></span>
         </div>
         <div class="body">
-            <h1>Show AssetType</h1>
+            <h1>Show AssetSubItem</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -25,38 +25,12 @@
                             <td valign="top" class="name">Id:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:assetTypeInstance, field:'id')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:assetSubItemInstance, field:'id')}</td>
                             
                         </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Assemblies:</td>
+                            <td valign="top" class="name">Name:</td>
                             
-                            <td  valign="top" style="text-align:left;" class="value">
-                                <ul>
-                                <g:each var="a" in="${assetTypeInstance.assemblies}">
-                                    <li><g:link controller="assembly" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-                                </g:each>
-                                </ul>
-                            </td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Assets:</td>
-                            
-                            <td  valign="top" style="text-align:left;" class="value">
-                                <ul>
-                                <g:each var="a" in="${assetTypeInstance.assets}">
-                                    <li><g:link controller="asset" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-                                </g:each>
-                                </ul>
-                            </td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Cost Code:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:assetTypeInstance, field:'costCode')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:assetSubItemInstance, field:'name')}</td>
                             
                         </tr>
@@ -65,5 +39,5 @@
                             <td valign="top" class="name">Description:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:assetTypeInstance, field:'description')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:assetSubItemInstance, field:'description')}</td>
                             
                         </tr>
@@ -72,5 +46,32 @@
                             <td valign="top" class="name">Is Active:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:assetTypeInstance, field:'isActive')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:assetSubItemInstance, field:'isActive')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Asset:</td>
+                            
+                            <td valign="top" class="value"><g:link controller="asset" action="show" id="${assetSubItemInstance?.asset?.id}">${assetSubItemInstance?.asset?.encodeAsHTML()}</g:link></td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Parent Item:</td>
+                            
+                            <td valign="top" class="value"><g:link controller="assetSubItem" action="show" id="${assetSubItemInstance?.parentItem?.id}">${assetSubItemInstance?.parentItem?.encodeAsHTML()}</g:link></td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Asset Sub Item Extended Attributes:</td>
+                            
+                            <td  valign="top" style="text-align:left;" class="value">
+                                <ul>
+                                <g:each var="a" in="${assetSubItemInstance.assetSubItemExtendedAttributes}">
+                                    <li><g:link controller="assetSubItemExtendedAttribute" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
+                                </g:each>
+                                </ul>
+                            </td>
                             
                         </tr>
@@ -81,5 +82,5 @@
                             <td  valign="top" style="text-align:left;" class="value">
                                 <ul>
-                                <g:each var="m" in="${assetTypeInstance.maintenanceActions}">
+                                <g:each var="m" in="${assetSubItemInstance.maintenanceActions}">
                                     <li><g:link controller="maintenanceAction" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
                                 </g:each>
@@ -90,7 +91,13 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Name:</td>
+                            <td valign="top" class="name">Sub Items:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:assetTypeInstance, field:'name')}</td>
+                            <td  valign="top" style="text-align:left;" class="value">
+                                <ul>
+                                <g:each var="s" in="${assetSubItemInstance.subItems}">
+                                    <li><g:link controller="assetSubItem" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
+                                </g:each>
+                                </ul>
+                            </td>
                             
                         </tr>
@@ -101,5 +108,5 @@
             <div class="buttons">
                 <g:form>
-                    <input type="hidden" name="id" value="${assetTypeInstance?.id}" />
+                    <input type="hidden" name="id" value="${assetSubItemInstance?.id}" />
                     <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
                     <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
